Send a template message
curl --request POST \
--url https://api.example.com/v1/whatsapp-templates/send \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"templateId": "<string>",
"bodyParameters": [
"<string>"
],
"headerTextParameter": "<string>",
"headerMediaKey": "<string>",
"urlButtonParameters": [
"<string>"
]
}
'import requests
url = "https://api.example.com/v1/whatsapp-templates/send"
payload = {
"conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"templateId": "<string>",
"bodyParameters": ["<string>"],
"headerTextParameter": "<string>",
"headerMediaKey": "<string>",
"urlButtonParameters": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
conversationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
contactId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
templateId: '<string>',
bodyParameters: ['<string>'],
headerTextParameter: '<string>',
headerMediaKey: '<string>',
urlButtonParameters: ['<string>']
})
};
fetch('https://api.example.com/v1/whatsapp-templates/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"messageId": "<string>",
"status": "<string>",
"conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}WhatsApp templates
Send a template message
Reaches a contact whether or not the 24-hour window is open — a plain message through POST /v1/messages does not. The template must be approved, and bodyParameters must match its variable count in order.
POST
/
v1
/
whatsapp-templates
/
send
Send a template message
Authorizations
Your API key, e.g. flv_9f2a8c1e…
Body
application/json

